Skills
Retrieve a skill
Retrieves the specified skill and its current configuration.
Parametri del percorso
name
string
necessario
The unique name of the skill.
Parametri di intestazione
Foundry-Features
enum
necessario
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Parametri di query
api-version
string
necessario
The API version to use for this operation.
Risposte
The request has succeeded.
Corpo
id
string
necessario
The unique identifier of the skill.
name
string
necessario
A skill name following the agentskills.io spec: lowercase letters, numbers, and hyphens only. Must not start or end with a hyphen or contain consecutive hyphens.
description
string
necessario
A human-readable description of the skill.
default_version
string
necessario
The default version for the skill. Can be changed via updateSkill.
latest_version
string
necessario
The latest version for the skill.
Richiedi
GET /skills/{name} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json